Create an event
Scope: crm:events.write https://api.alladdin.com/api/v2/events
Creates a new CRM event. Events represent activities such as calls, meetings, or tasks associated with contacts and deals.
The response returns the new event id.
Request body
object name string required
Event name
user_id string | null optional
Owner user ID
contact_id string | null optional
Associated contact ID
contact_name string | null optional
Contact display name
kind string | null optional
Activity type key (e.g. call, meeting, task)
description string | null optional
Event description
start_date string<date-time> required
Start date and time of the event in local time, without timezone offset (e.g. 2026-04-01T09:00:00 for 9am). Date only also accepted (e.g. 2026-04-01).
end_date string<date-time> | null optional
End date and time of the event in local time, without timezone offset (e.g. 2026-04-01T10:00:00 for 10am). Preferred over duration. Date only also accepted (e.g. 2026-04-01).
duration integer | null optional
Duration in seconds (used if end_date is not provided, default 3600)
status integer | null optional
Event status (0 = pending, 1 = completed)
tags[] string[] | null optional
List of tag names
lead_id string | null optional
Associated deal/lead ID
location string | null optional
Event location
participants[] object[] | null optional
List of participants/invitees to add to the event
email string<email> required
Participant email address
name string | null optional
Participant display name
Request
import requests
url = "https://api.alladdin.com/api/v2/events"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"name": "string",
"user_id": "string",
"contact_id": "string",
"contact_name": "string",
"kind": "string",
"description": "string",
"start_date": "2024-01-15T10:30:00Z",
"end_date": "2024-01-15T10:30:00Z",
"duration": 0,
"status": 0,
"tags": [
"string"
],
"lead_id": "string",
"location": "string",
"participants": [
{
"email": "[email protected]",
"name": "string"
}
]
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())Responses
Response
{
"id": "507f1f77bcf86cd799439011"
}Success responses
201 Event created application/json object id string
Error responses
400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 422 Validation error application/json 429 Rate limit exceeded application/json
